### Function

# GLib HookCompareFunc

#### Declaration

    gint
    (* GHookCompareFunc) (
      GHook* new_hook,
      GHook* sibling
    )

#### Description

Defines the type of function used to compare `GHook` elements in g_hook_insert_sorted().

#### Parameters

`new_hook`

  Type: `GHook`

  The `GHook` being inserted.

  The data is owned by the caller of the function.

`sibling`

  Type: `GHook`

  The `GHook` to compare with `new_hook`.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

A value <= 0 if `new_hook` should be before `sibling`.